<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__socket__opt__callback__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_socket_opt_callback_t</compoundname>
    <includes local="no">cy_secure_sockets.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__socket__opt__callback__t_1a7f321e77df24f3b06ade13f44ce43053" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__secure__sockets__typedefs_1gaed8814ba418b3dbfe9ae00e8b0e1c5aa">cy_socket_callback_t</ref></type>
        <definition>cy_socket_callback_t cy_socket_opt_callback_t::callback</definition>
        <argsstring />
        <name>callback</name>
        <briefdescription>
<para>Pointer to a caller-defined callback function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="524" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="524" />
      </memberdef>
      <memberdef id="structcy__socket__opt__callback__t_1a648e1c4f3fe8fcb9d2be2a2c4716b359" kind="variable" mutable="no" prot="public" static="no">
        <type>void *</type>
        <definition>void* cy_socket_opt_callback_t::arg</definition>
        <argsstring />
        <name>arg</name>
        <briefdescription>
<para>Caller-defined context to be used with the callback function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="525" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="525" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Option value type for <ref kindref="member" refid="group__group__secure__sockets__macros_1ga7fd0bff2f890ddab81f7847a1862c325">CY_SOCKET_SO_CONNECT_REQUEST_CALLBACK</ref>, <ref kindref="member" refid="group__group__secure__sockets__macros_1gaa05dc49b1682f0682d1a4066c641512d">CY_SOCKET_SO_RECEIVE_CALLBACK</ref>, and <ref kindref="member" refid="group__group__secure__sockets__macros_1ga4a3e35fbb5f577a38a6eafb7d693134a">CY_SOCKET_SO_DISCONNECT_CALLBACK</ref> socket options. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="526" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="522" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="523" />
    <listofallmembers>
      <member prot="public" refid="structcy__socket__opt__callback__t_1a648e1c4f3fe8fcb9d2be2a2c4716b359" virt="non-virtual"><scope>cy_socket_opt_callback_t</scope><name>arg</name></member>
      <member prot="public" refid="structcy__socket__opt__callback__t_1a7f321e77df24f3b06ade13f44ce43053" virt="non-virtual"><scope>cy_socket_opt_callback_t</scope><name>callback</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>